Subject: bug#50644: Ungrokkable argument names in string-replace

From: Juri Linkov <[email-masked]>
Date: Fri, 17 Sep 2021 19:08:42 +0300

Especially INSTRING is hard to parse in:

 -- Function: string-replace fromstring tostring instring
     This function replaces all occurrences of FROMSTRING with TOSTRING
     in INSTRING and returns the result.  It may return one of its
     arguments unchanged, a constant string or a new string.  Case is
     significant, and text properties are ignored.

Whereas other functions like perform-replace use ‘-’ to separate words,
e.g. “FROM-STRING”:

 -- Function: perform-replace from-string replacements query-flag
          regexp-flag delimited-flag &optional repeat-count map start
          end backward region-noncontiguous-p
     This function is the guts of ‘query-replace’ and related commands.
     It searches for occurrences of FROM-STRING in the text between